﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGridCheckBox
{
    public partial class Form1 : Form
    {
        DataTable dtb;
        public Form1()
        {
            InitializeComponent();

            dtb = new DataTable();
            dtb.Columns.Add("ID", typeof(Int32));
            dtb.Columns.Add("Text", typeof(string));
            dtb.Columns.Add("Check", typeof(bool));

            dtb.Rows.Add(new object[] { 1, "A" });
            dtb.Rows.Add(new object[] { 2, "B" });
            this.ultraGrid1.DataSource = dtb;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[2].Style  = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
            e.Layout.Bands[0].Columns[2].CellActivation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
            e.Layout.Bands[0].Columns[2].CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.Edit;
        }
    }
}
